<?php

namespace GSPIN\ShortcodeBuilder;

// if direct access than exit the file.
defined('ABSPATH') || exit;

class Strings {
    /**
     * Plugin dashboard strings.
     * 
     * @since  2.0.12
     * @return array Array of the plugin dashboard strings.
     */
    public function getStrings() {
        return [
            'user-id'                      => __( 'Username', 'gs-pinterest' ),
            'user-id--help'                => __( 'Enter Pinterest username', 'gs-pinterest' ),
            'board-name'                   => __( 'Board Name', 'gs-pinterest' ),
            'board-name--help'             => __( 'Enter Pinterest Board name for Specific board pins', 'gs-pinterest' ),
            'total'                        => __( 'Total Pins to display', 'gs-pinterest' ),
            'total--help'                  => __( 'Set number of pins to display. Default 10, max 25', 'gs-pinterest' ),
            'theme'                        => __( 'Theme', 'gs-pinterest' ),
            'theme--help'                  => __( 'Select preffered styled theme', 'gs-pinterest' ),
            'link-target'                  => __( 'Pins Link Target', 'gs-pinterest' ),
            'link-target--help'            => __( 'Specify target to load the Links, Default New Tab', 'gs-pinterest' ),
            'pin-title'                    => __( 'Pin Title', 'gs-pinterest' ),
            'pin-title--help'              => __( 'Show or Hide Pin Title', 'gs-pinterest' ),
            'gutter'                        => __( 'Gutter', 'gs-pinterest' ),
            'gutter--help'                  => __( 'Set Gutter space in between Pins.', 'gs-pinterest' ),

            'custom-css'                    => __('Custom CSS', 'gs-pinterest'),
            'preference'                    => __('Preference', 'gs-pinterest'),
            // responsive labels
            'columns'                       => __('Desktop Columns', 'gs-pinterest'),
            'columns--help'                 => __('Enter the columns number for desktop', 'gs-pinterest'),
            'columns-tablet'                => __('Tablet Columns', 'gs-pinterest'),
            'columns-tablet--help'          => __('Enter the columns number for tablet', 'gs-pinterest'),
            'columns-mobile-portrait'       => __('Portrait Mobile Columns', 'gs-pinterest'),
            'columns-mobile-portrait--help' => __('Enter the columns number for portrait or large display mobile', 'gs-pinterest'),
            'columns-mobile'                => __('Mobile Columns', 'gs-pinterest'),
            'columns-mobile--help'          => __('Enter the columns number for mobile', 'gs-pinterest'),

            'disable-lazy-load'             => __('Disable Lazy Load', 'gs-pinterest'),
            'disable-lazy-load--help'       => __('Disable Lazy Load for Pins', 'gs-pinterest'),
            'lazy-load-class'               => __('Lazy Load Class', 'gs-pinterest'),
            'lazy-load-class--help'         => __('Add class to disable Lazy Loading, multiple classes should be separated by space', 'gs-pinterest'),
            'save-preference'               => __('Save Preference', 'gs-pinterest'),
            'shortcodes'                    => __('Shortcodes', 'gs-pinterest'),
            'shortcode'                     => __('Shortcode', 'gs-pinterest'),
            'global-settings-label'         => __('Global settings which are going to work on the whole plugin.', 'gs-pinterest'),
            'all-shortcodes'                => __('All shortcodes', 'gs-pinterest'),
            'create-shortcode'              => __('Create Shortcode', 'gs-pinterest'),
            'create-new-shortcode'          => __('Create New Shortcode', 'gs-pinterest'),
            'name'                          => __('Name', 'gs-pinterest'),
            'action'                        => __('Action', 'gs-pinterest'),
            'actions'                       => __('Actions', 'gs-pinterest'),
            'edit'                          => __('Edit', 'gs-pinterest'),
            'clone'                         => __('Clone', 'gs-pinterest'),
            'delete'                        => __('Delete', 'gs-pinterest'),
            'delete-all'                    => __('Delete All', 'gs-pinterest'),
            'create-a-new-shortcode-and'    => __('Create a new shortcode & save it to use globally in anywhere', 'gs-pinterest'),
            'edit-shortcode'                => __('Edit Shortcode', 'gs-pinterest'),
            'general-settings'              => __('General Settings', 'gs-pinterest'),
            'style-settings'                => __('Style Settings', 'gs-pinterest'),
            'query-settings'                => __('Query Settings', 'gs-pinterest'),
            'name-of-the-shortcode'         => __('Name of the Shortcode', 'gs-pinterest'),
            'save-shortcode'                => __('Save Shortcode', 'gs-pinterest'),
            'preview-shortcode'             => __('Preview Shortcode', 'gs-pinterest')
        ];
    }
}