<?php

/**
 * Protect direct access
 */
if ( ! defined( 'ABSPATH' ) ) die( );

class GS_Pinterest_Asset_Generator extends GS_Asset_Generator_Base {

	private static $instance = null;

	public static function getInstance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}
		return self::$instance;
	}

	public function get_assets_key() {
		return 'gs-pinterest-portfolio';
	}

	public function generateStyle( $selector, $selector_divi, $targets, $prop, $value ) {
		
		$selectors = [];

		if ( empty($targets) ) return;

		if ( gettype($targets) !== 'array' ) $targets = [$targets];

		if ( gs_team_is_divi_active() && !empty($selector_divi) ) {
			foreach ( $targets as $target ) $selectors[] = $selector_divi . $target;
		}

		foreach ( $targets as $target ) $selectors[] = $selector . $target;

		printf( '%s{%s:%s}', join(',', $selectors), $prop, $value );

	}

	public function generate_assets_data( Array $settings ) {

		// if ( gs_team_is_divi_active() ) {
		// 	$this->add_item_in_asset_list( 'styles', 'gs-team-divi-public', ['gs-team-public'] );
		// }

	}

	public function maybe_force_enqueue_assets( Array $settings ) {

		// if ( gs_team_is_divi_active() ) {
		// 	GS_Logo_Scripts::add_dependency_styles( 'gs-team-divi-public', ['gs-team-public'] );
		// 	wp_enqueue_style( 'gs-team-divi-public' );
		// }

		wp_enqueue_style( 'gs_pinterest_public' );
		wp_enqueue_script( 'gs_pinterest_public' );

	}

	public function enqueue_plugin_assets( $main_post_id, $assets = [] ) {

		if ( empty($assets) || empty($assets['styles']) || empty($assets['scripts']) ) return;

		foreach ( $assets['styles'] as $asset => $data ) {
			if ( $asset == 'inline' ) {
				if ( !empty($data) ) wp_add_inline_style( 'gs_pinterest_public', $data );
			} else {
				GSPIN\Assets::add_dependency_styles( $asset, $data );
			} 
		}

		foreach ( $assets['scripts'] as $asset => $data ) {
			if ( $asset == 'inline' ) {
				if ( !empty($data) ) wp_add_inline_script( 'gs_pinterest_public', $data );
			} else {
				GSPIN\Assets::add_dependency_scripts( $asset, $data );
			}
		}

		// if ( gs_team_is_divi_active() ) {
		// 	wp_enqueue_style( 'gs-team-divi-public' );
		// }

		// $prefs = GS_Team_Shortcode_Builder::get_instance()->get_shortcode_pref();

		// if ( ! empty($prefs['gs_team_custom_css']) ) {
		// 	wp_add_inline_style( 'gs-team-public', $prefs['gs_team_custom_css'] );
		// }
	}
}

if ( ! function_exists( 'gsPinterestGenerator' ) ) {
	function gsPinterestGenerator() {
		return GS_Pinterest_Asset_Generator::getInstance(); 
	}
}

// Must inilialized for the hooks
gsPinterestGenerator();